> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/upload-files-with-the-geopard-api.md).

# Lataa tiedostoja GeoPard API:n avulla

{% hint style="success" %}
Yli 6 Mt:n tiedostoille suositellaan [esiallekirjoitetun URL-osoitteen työnkulkua](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

GeoPard API mahdollistaa maaperä-, sato-, levitys- ja lohkorajatietoaineistoja sisältävien ZIP-arkistojen lataamisen jatkokäsittelyä ja analytiikkaa varten.

{% hint style="danger" %}
AWS:n rajoituksen vuoksi tämän REST-päätepisteen kautta ladattavan tiedoston enimmäiskoko on 6 Mt.
{% endhint %}

Yli 6 Mt:n tiedostojen latausohjeet ovat kohdassa [ZIP-tiedostojen lataaminen (yli 6 Mt)](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Kun maaperä-, sato- tai levitystietoaineiston lataus onnistuu, GeoPard-moottori yhdistää sen määritetyn maatilan alueella sijaitseviin vastaaviin lohkoihin.

Kun lohkorajatiedoston lataus onnistuu, GeoPard-moottori käynnistää sen käsittelyn.

Vastaus sisältää arvon `<uuid>` jonka avulla voit seurata käsittelyn tilaa.

#### Esimerkkipyyntö:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametrit ovat seuraavat:

1. `<type>` – ladattavan tietoaineiston tyyppi. Arvon on oltava `yield` TAI `soil` TAI `applied` TAI `boundary`.
2. `<farm_uuid>` – sen maatilan `uuid` johon tiedosto ladataan (valinnainen).
3. `<token>` – GeoPardin käyttöoikeustunnus.
4. `@path/to/file.zip` – ladattavan tiedoston polku.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
